Subject: Re: [PATCH v2 00/10] pack-objects: integrate --path-walk and some --filter options

From: Derrick Stolee <[email-masked]>
Date: Thu, 7 May 2026 07:40:55 -0400

On 5/5/26 4:42 PM, Taylor Blau wrote:
> On Tue, May 05, 2026 at 03:44:56PM -0400, Derrick Stolee wrote:
>> Thanks for this suggestion. I got pulled away from my investigation, so
>> wasn't to this point yet.
> 
> No problem. One of those things that in the course of responding to your
> email, I had written enough to fix at least one of the tests. I hope I
> didn't step on any toes as a consequence.
> 
>> I think the initial idea was that the feature was too niche to add it to
>> the CI builds right away. Your series is going to make it a lot more
>> important, so adding this to CI builds may be valuable.
> 
> Sounds good to me. I imagine that this makes more sense to place as a
> preparatory patch in your series, but LMK if you would rather I place it
> in mine.

I've got some changes that make everything work, and they plug into
the right patches at the right time. I need to do a few more rounds
of tweaking, but I should have a new version of the series ready by
tomorrow with these fixes.

In summary, we've got a few things going on:

1. At the base of the topic, the backfill tests fail because they
    assert that stderr is empty and the warning about combining
    filters comes up. This goes away with the integration, but it
    was causing the tests to fail patch-by-patch.

2. In partial clone situations, as you deduced, the direct object
    requests were getting filtered out. This starts with the blob
    requests with blob:none and then the tree requests are added
    in with the tree:0 filter.

3. When getting to your bitmap patches, there are some subtleties
    around the --path-walk option adding --boundary to the revision
    walk but that changes the object set and breaks tests. I need
    to think more about the solution here, but I'll include it as
    a reply to my v3 cover letter when the rest of this series is
    re-rolled.

Thanks,
-Stolee